=== debian/changelog ===
icewm (3.6.0-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 01 Aug 2024 21:47:49 -0700

icewm (3.6.0-1) unstable; urgency=low

  * new upstream release

 -- Eduard Bloch <blade@debian.org>  Thu, 20 Jun 2024 21:45:16 +0200

icewm (3.5.0-1) unstable; urgency=medium

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Fri, 24 May 2024 21:43:14 +0200

icewm (3.4.7-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Thu, 04 Apr 2024 12:23:39 +0200
