=== debian/control ===
Source: icewm
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Eduard Bloch <blade@debian.org>
Build-Depends: asciidoctor,
               cmake,
               debhelper (>= 10),
               dpkg-dev (>= 1.16.1~),
               gettext,
               libao-dev,
               libfribidi-dev,
               libglib2.0-dev,
               libimlib2-dev,
               librsvg2-dev,
               libsm-dev,
               libsndfile1-dev,
               libx11-dev,
               libxcomposite-dev,
               libxdamage-dev,
               libxext-dev,
               libxft-dev (>> 2.1.1) | libxft2-dev,
               libxinerama-dev,
               libxrandr-dev,
               libxrender-dev,
               pandoc,
               x11proto-core-dev | x-dev
Build-Conflicts: libesd0-dev, libttf-dev
Standards-Version: 4.5.0
Vcs-Git: https://github.com/Code7R/icewm.git

Package: icewm-common
Architecture: any
Conflicts: menu (<< 2.1.9-1)
Replaces: icewm (<< 1.2.14),
          icewm-gnome-support (<< 1.3.8-3),
          icewm-themes (<< 1.3.8-3)
Depends: sensible-utils, ${misc:Depends}, ${shlibs:Depends}
Recommends: menu, xscreensaver, xterm
Description: wonderful Win95-OS/2-Motif-like window manager
 IceWm is a Window Manager for X Window System. Can emulate the look of
 Windows'95, OS/2 Warp 3,4, Motif. Tries to take the best features of the above
 systems.
 Features multiple workspaces, opaque move/resize, task bar, window list,
 mailbox status, digital clock. Fast and small.
 .
 This package provides the common files for icewm, icewm-experimental and
 icewm-lite binary packages.

Package: icewm
Architecture: any
Depends: fonts-dejavu-core | ttf-dejavu-core | custom-icewm-font,
         icewm-common (= ${binary:Version}),
         sensible-utils,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: icewm-common (<< 1.3.8-3)
Provides: x-window-manager
Description: wonderful Win95-OS/2-Motif-like window manager
 IceWm is a Window Manager for X Window System. It is fast and
 memory-efficient, and it provides many different looks including Windows'95,
 OS/2 Warp 3,4, Motif. It tries to take the best features of the above
 systems. Additional features include  multiple workspaces, opaque move/resize,
 task bar, window list, mailbox status, digital clock.

Package: icewm-lite
Architecture: any
Depends: icewm (= ${binary:Version}),
         icewm-common (= ${binary:Version}),
         ${misc:Depends}
Section: oldlibs
Description: transitional package for icewm
 IceWm is a Window Manager for X Window System. It is fast and
 memory-efficient, and it provides different looks and some desktop-like
 functionality.
 .
 This package only exists to maintain compatibility to system setups that
 relied on the former icewm-lite package. It can be safely removed once the
 system dependencies has been adjusted.

Package: icewm-experimental
Architecture: any
Depends: icewm (= ${binary:Version}),
         icewm-common (= ${binary:Version}),
         ${misc:Depends}
Provides: x-window-manager
Description: wonderful Win95-OS/2-Motif-like window manager
 IceWm is a Window Manager for X Window System. It is fast and
 memory-efficient, and it provides many different looks including Windows'95,
 OS/2 Warp 3,4, Motif. It tries to take the best features of the above
 systems. Additional features include  multiple workspaces, opaque move/resize,
 task bar, window list, mailbox status, digital clock.
 .
 This package sometimes provides special IceWm versions with experimental
 features enabled. When the configurations of the packages do not diverge
 it simply enforces an upgrade to the current icewm package.
