## icewm 3.7.0

=== debian/changelog ===
icewm (3.7.0-1.0antix1) unstable; urgency=medium

  * upstream bugfix and enhancement release
  * antiX build

 -- anticapitalista <antix@operamail.com>  Sun, 23 Feb 2025 12:57:55 +0200

icewm (3.6.0-1.0antix1) unstable; urgency=medium

  * upstream bugfix and enhancement release
  * antiX build

 -- anticapitalista <antix@operamail.com>  Sun, 16 Jun 2024 16:55:00 +0300
