## icewm 3.7.1

=== debian/changelog ===
icewm (3.7.1-1.0antix1) unstable; urgency=medium

  * upstream bugfixes and enhancements
  * antiX build

 -- anticapitalista <antix@operamail.com>  Fri, 28 Feb 2025 14:41:42 +0200
