=== src/CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,11 @@
 
 PROJECT(ICEWM CXX)
 
-set(CMAKE_CXX_STANDARD 11)
-set(CMAKE_CXX_STANDARD_REQUIRED on)
+# Do not fail (because we are still C++11 compliant), try to continue anyway
+# with -std=c++11.
+set(CMAKE_CXX_STANDARD_REQUIRED off)
+# Actually try to use C++20 as well where possible, to uncover potential issues.
+set(CMAKE_CXX_STANDARD 20)
 
 INCLUDE(CheckIncludeFiles)
 INCLUDE(CheckLibraryExists)
@@ -92,6 +95,9 @@
     endif()
 endif()
 
+#list(APPEND CXXFLAGS_COMMON    -fsanitize=address -fsanitize=undefined)
+#list(APPEND EXTRA_LINKER_FLAGS -fsanitize=address -fsanitize=undefined)
+
 option(CONFIG_IMLIB2 "Imlib2 image loader" on)
 option(CONFIG_LIBPNG "PNGLIB image loader" off)
 option(CONFIG_LIBJPEG "JPEGLIB image loader" off)
@@ -124,11 +130,13 @@
     if(CONFIG_LIBICONV)
         LIST(APPEND nls_LIBS iconv)
     endif()
-# XXX: once cmake 3.20 became standard, replace this block with dependency on
-# Intl::Intl interface target.
-    include(FindIntl)
-    if(Intl_FOUND)
-        list(APPEND nls_LIBS ${Intl_LIBRARIES})
+    find_package(Intl)
+    if(CMAKE_VERSION VERSION_GREATER_EQUAL "3.20")
+        list(APPEND nls_LIBS Intl::Intl)
+    else()
+        if(Intl_FOUND)
+            list(APPEND nls_LIBS ${Intl_LIBRARIES})
+        endif()
     endif()
 endif()
 
@@ -198,7 +206,7 @@
 # image configuration error check
 if(CONFIG_IMLIB2 OR CONFIG_GDK_PIXBUF_XLIB)
     if (NOT CONFIG_LIBRSVG AND NOT CONFIG_NANOSVG)
-        message(WARNING "Support for SVG icons was not enabled")
+        message(WARNING "Support for SVG icons was not enabled (requires either CONFIG_LIBRSVG or CONFIG_NANOSVG)")
     endif()
 elseif(CONFIG_XPM AND CONFIG_LIBPNG)
     if (NOT CONFIG_LIBJPEG)
@@ -313,16 +321,3 @@
     pkg_check_modules(xft xft>=2.0)
     IF(NOT xft_FOUND)
         message(WARNING "xft library (>=2.0) not found, disabling CONFIG_XFREETYPE")
-        set(CONFIG_XFREETYPE off)
-        set(CONFIG_COREFONTS on)
-    ELSE()
-        set(CONFIG_XFREETYPE_VALUE 2)
-    ENDIF()
-else()
-    set(CONFIG_COREFONTS on)
-endif()
-
-set(ICESOUND "ALSA,AO,OSS,ESound" CACHE STRING "List of supported audio subsystems")
-string(TOLOWER ${ICESOUND} ICESOUND)
-message(STATUS "Checking audio subsystems for ICESOUND: ${ICESOUND}")
-
