=== debian/changelog ===
icewm (3.7.2-1ubuntu1) plucky; urgency=medium

  * Do not run strtest on riscv64. This should eventually be based on the
    nodoc build profile, not riscv64 specifically.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 22 Mar 2025 18:24:28 -0500

icewm (3.7.2-1) unstable; urgency=medium

  * New upstream release
  * Built with nanosvg image loader from the Debian package

 -- Eduard Bloch <blade@debian.org>  Sat, 15 Mar 2025 21:33:38 +0100
