=== src/CMakeLists.txt ===
--- 
+++ 
@@ -250,10 +250,14 @@
 endif()
 
 if (CONFIG_NANOSVG)
+    if(NOT NANOSVG_DIR)
+        set(NANOSVG_DIR ${CMAKE_SOURCE_DIR}/src)
+    endif()
+    include_directories(${NANOSVG_DIR})
     set(hub https://raw.githubusercontent.com/memononen/nanosvg/master/src)
     foreach(nano nanosvg.h nanosvgrast.h)
-        message(STATUS "Checking for src/${nano}")
-        set(src ${CMAKE_SOURCE_DIR}/src/${nano})
+        message(STATUS "Checking for ${NANOSVG_DIR}/${nano}")
+        set(src "${NANOSVG_DIR}/${nano}")
         if (NOT EXISTS ${src})
             set(url ${hub}/${nano})
             file(DOWNLOAD ${url} ${src} INACTIVITY_TIMEOUT 3 STATUS down)
@@ -318,6 +322,3 @@
 option(CONFIG_COREFONTS "Define to enable X11 core fonts" off)
 option(CONFIG_XFREETYPE "Define to enable XFT support" on)
 if(CONFIG_XFREETYPE)
-    pkg_check_modules(xft xft>=2.0)
-    IF(NOT xft_FOUND)
-        message(WARNING "xft library (>=2.0) not found, disabling CONFIG_XFREETYPE")
