=== debian/changelog ===
icewm (3.7.3-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Mon, 14 Apr 2025 19:30:51 +0200
