=== debian/rules ===
--- 
+++ 
@@ -78,11 +78,7 @@
 #	$(MAKE) -f debian/rules -j2 config_normal config_lite
 
 override_dh_auto_build:
-ifeq (riscv64,$(DEB_HOST_ARCH))
-	dh_auto_build -- all
-else
 	dh_auto_build -- all strtest
-endif
 #	cd debian && for x in -lite -experimental ; do cp -lf icewm.postinst icewm$$x.postinst ; cp -lf icewm.prerm icewm$$x.prerm ; done
 
 #override_dh_auto_install:
